Subject: diff-tree -r and new directories

From: Johannes Sixt <[email-masked]>
Date: Thu, 10 Apr 2008 08:29:47 +0200

In one of my scriptlets I have this:

   git diff-tree -r --name-only --diff-filter=AM -z "$rev" HEAD --

and I had assumed that only files would ever be listed because of the -r
switch. But this is not true: If there is a new directory, it lists only
the directory's name instead of the files. Is this the intent? Is it worth
changing?

-- Hannes